Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Pandora FMS Server Error in openSuse 12.3
#1
When starting the pandora server (4.0.3-130118) on openSuse 12.3, I get the following error that appears to be related to net-snmp (version 5.7.2-3.1.1)

Can't load '/usr/lib/perl5/vendor_perl/5.16.2/i586-linux-thread-multi/auto/SNMP/SNMP.so' for module SNMP: /usr/lib/perl5/vendor_perl/5.16.2/i586-linux-thread-multi/auto/SNMP/SNMP.so: undefined symbol: usmAESPrivProtocol at /usr/lib/perl5/5.16.2/i586-linux-thread-multi/DynaLoader.pm line 190.
at /usr/lib/perl5/PandoraFMS/NetworkServer.pm line 30.
Compilation failed in require at /usr/lib/perl5/PandoraFMS/NetworkServer.pm line 30.
BEGIN failed--compilation aborted at /usr/lib/perl5/PandoraFMS/NetworkServer.pm line 30.
Compilation failed in require at /usr/bin/pandora_server line 33.
BEGIN failed--compilation aborted at /usr/bin/pandora_server line 33.

Has anyone encountered this error?  The only information that I can find indicates a conflict between the Perl and net-snmp libraries but there isn't much detail. I am wondering if the manual dependencies for Pandora FMS could be related issue but they are all installed correctly.
 Reply
#2
Hi

What have you installed before?
Net-snmp or perl-SNMP?

When you install net-snmp (zypper install net-snmp) automatically install perl-SNMP.

It's possible that you have installed perl-SNMP before Net-snmp and now you have a conflict with them.

Regards
 Reply
#3
Hi,

So, is there a solution for this problem?
I removed perl-SNMP which removed pandorafms-server and net-snmp
I reinstalled net-snmp which installed perl-SNMP and then I reinstalled pandorafms-server.
Unfortunately the problem persists.
 Reply
#4
The problem is that version of net-snmp is broken, you can see the problem at the net-snmp project itself:

https://sourceforge.net/p/net-snmp/bugs/1473/

Solution:

1. Use OpenSUSE 12.2
2. Install all perl packages of 12.2 on 12.3... thats a lot of work Sad
3. Wait to OpenSUSE to fix the problem and update it with zypper update

We dont like "newest" version of distros for issues like this Sad

(04-24-2013, 02:07 PM)mk link Wrote: Hi,

So, is there a solution for this problem?
I removed perl-SNMP which removed pandorafms-server and net-snmp
I reinstalled net-snmp which installed perl-SNMP and then I reinstalled pandorafms-server.
Unfortunately the problem persists.
 Reply


Users browsing this thread: 1 Guest(s)


(c) 2006-2018 Artica Soluciones Tecnológicas. Contents of this wiki are under Create Common Attribution v3 licence. | pandorafms.com | pandorafms.org

Theme © MyBB Themes